var localStorageObject = [];
var goBackFlag = false;
var Bridge = {
    log: function (message) {
        window.JavaInterface.log(message);
    },
    goBack: function () {
        window.JavaInterface.canGoBack(goBackFlag);
        return goBackFlag;
    },
    error: function (responseCode, message, id, retryAvailable, cancelAvailable) {
        Bridge.log(responseCode);
        Bridge.log(message);
        window.JavaInterface.error(responseCode, message, id, retryAvailable, cancelAvailable);
    },
    errorCallback: function (id, action) {
        var scope = angular.element(document.getElementById("errorHandler")).scope();
        scope.errorCallbackFunction(id, action);
    },
    save: function (key, value) {
        Bridge.log(key);
        Bridge.log(value);
        window.JavaInterface.save(key, value);
    },
    restore: function (key) {
        Bridge.log(key);
        var value = window.JavaInterface.restore(key);
        return value;
    },
    trackScreen: function (screenId, additionalData) {
        window.JavaInterface.trackScreen(screenId, additionalData);
    },
    trackAction: function (screenId, additionalData) {
        window.JavaInterface.trackAction(screenId, additionalData);
    },
    registration: {
        success: function (username, password) {
            window.JavaInterface.registrationSuccess(username, password);
        }
    },
    forgotUsername: {
        success: function (username) {
            window.JavaInterface.forgotUsernameSuccess(username);
        }
    },
    forgotPassword: {
        success: function (username, password) {
            window.JavaInterface.forgotPasswordSuccess(username, password);
        }
    },
    handleVerification: function (details) {
        console.log(details);
        window.location.href = '#!/handle-verification-email?' + details;
    },
    showActivity: function (message) {
        window.JavaInterface.showActivity(message);
    },
    hideActivity: function () {
        window.JavaInterface.hideActivity();
    },
    platform: function () {
        return window.JavaInterface.platform();
    },
    clientID: function () {
        return window.JavaInterface.getClientID();
    },
    clientSecret: function () {
        return window.JavaInterface.getClientSecret();
    },
    pageOpened: function (message) {
          window.JavaInterface.pageOpened(message);
    },
    getApiURL: function(){
    	return window.JavaInterface.getApiUrl();
    	},
    getAemURL: function(){
    	return window.JavaInterface.getAemUrl();
    },
    isNativeBridgeInitialized: function(){
  		startBundleLoad(); // call to start loading bundle specific scripts
  	}
};
